FUNCTION CDERROR(Z)
!
!       ====================================================
!       Purpose: Compute error function erf(z) for a complex
!                argument (z=x+iy)
!       Input :  z   --- Complex argument
!       Output:  CER --- erf(z)
!       ====================================================
!
   implicit none
   !	IMPLICIT COMPLEX *16 (C,Z)

   complex(kind=8),intent(in) :: Z
   complex(kind=8) :: CDERROR
   
   real(kind=8) :: A0
   !real(kind=8),parameter :: SQRTPI = DSQRT(3.141592653589793D0)
   real(kind=8),parameter :: SQRTPIREC = 0.56418958354775628695
!                             SQRTPI =1.7724538509055160273d0
!    real(kind=8),parameter :: PI = 3.141592653589793D0
   complex(kind=8) :: C0,Z1,Z2,CS,CR,CL

   real(kind=8)::xe,x
   integer :: k

   real(kind=8),parameter :: conv = 1d-10

   if ( abs(dimag(Z)) < conv) then
!      CDERROR =  (1.0,0.0)*erf(real(Z))
      x=real(z)
      xe=dabs(x)
      CDERROR=(1.0d0,0)*sign((1.0d0-(1.0d0/((1.0d0+xe*(0.0705230745d0+ &
           xe*(0.0422820123d0+xe*(0.0092705272d0+ &
           xe*(0.0001520143d0+xe*(0.0002765672d0+ &
           xe*0.0000430638d0))))))**16.0d0))),x)
  else

      A0=CDABS(Z)
      C0=CDEXP(-Z*Z)
      
!      PI=3.141592653589793D0

!      Z1=Z
      IF (REAL(Z).LT.0.0) THEN
         Z1=-Z
      ELSE
         Z1 = Z
      ENDIF
      Z2= Z1*Z1

      IF (A0.LE.5.8D0) THEN    
         CS=Z1
         CR=Z1
         kloop: DO K=1,120
            CR=CR*Z2/(K+0.5D0)
            CS=CS+CR
            IF (CDABS(CR/CS).LT.conv) exit kloop
         END DO kloop
         
         ! divide by sqrt(pi)
         CDERROR=2.0D0*C0*CS*SQRTPIREC 
      ELSE                              
         CL=1.0D0/Z1              
         CR=CL
         kloop2: DO K=1,13
            CR=-CR*(K-0.5D0)/(Z2)
            CL=CL+CR
            IF (CDABS(CR/CL).LT.conv) exit kloop2
         END DO kloop2
         ! divide by sqrt(pi)
         CDERROR=1.0D0-C0*CL*SQRTPIREC
      ENDIF
      IF (REAL(Z).LT.0.0) THEN
         CDERROR=-CDERROR
      ENDIF
      
   end  if
 END FUNCTION CDERROR


