! **************************************************
!                   Files Module
!
!                  Stewart K. Reed
!                   4th June 2007
!
!  Description:
!      This module contains details of file units
!      to write too.
! **************************************************

module files

  implicit none

  ! general output
  ! set to 6 for standard out, otherwise use 99
  integer,parameter:: fug=99

  integer,parameter:: fopt=10 ! run details
  integer,parameter:: fham=11 ! Hamiltonian parameters
  integer,parameter:: fis=12  ! Read in initial states 
  integer,parameter:: fib =20 ! write out intial basis set
  integer,parameter:: fbas=21 ! write out basis vectors with time
  integer,parameter:: fact=22 ! the action
  integer,parameter:: facf=23 ! For auto correlation function
  integer,parameter:: feng=24 ! Total energy
  integer,parameter:: fibe=25 ! Energies of initial basis functions
  integer,parameter:: fibefail=26 ! Energies of initial basis functions not used. 
 integer,parameter:: fpos=27 ! positions and momenta
 integer,parameter:: famp=28 ! Wave packet amplitudes
 integer,parameter:: fccf=29 ! Cross correlation function
 integer,parameter:: fnorm=30 ! Wavefunction normal
  integer,parameter:: fceng=31 ! Conserved energy
  integer,parameter:: fC=32   ! C coefficients  
  integer,parameter:: fD=33   ! D coefficients
  ! 34 and  35 for dCdT and dSdT
  integer,parameter:: fdCdT=34
  integer,parameter:: fdSdT=35
    integer,parameter:: fdDdT=36    
  integer,parameter:: fovlp=37
  integer,parameter:: fhcf= 38 ! Harmonic Oscillator correlation fn.
  integer,parameter:: fzpos=39 ! Coherent state z position.
  integer,parameter::fdump = 40 ! For writing out/reading in system state.
  integer,parameter::fexpect = 41 ! For expectation value

  integer,parameter::fnormbasis = 42 ! For writing norm contribution of each basis function.
  integer,parameter:: fbasisin = 43 ! For file containing basis functions 
  integer,parameter:: fCDcheck = 44 ! For checking the initial calculation of C from D
end module files
