! **************************************************
!                dummyblacsscalapack
!
!                  Stewart K. Reed
!                 7th November 2008
!
! Description:
!   This file contains dummy versions of BLACS and
!   scalapack routines. These may be used instead
!   of the real ones when a serial code is required.
!   
! **************************************************

! ==================================================
!          Set number of processors to be 1
! ==================================================
subroutine BLACS_PINFO( MYRANK, NPROCS )
  integer,intent(out) :: MYRANK,NPROCS

  MYRANK = 0
  NPROCS = 1
end subroutine BLACS_PINFO

! ==================================================
!          Set up processor grid
! ==================================================
subroutine SL_INIT( ICTXT, NPROW, NPCOL )
  integer,intent(in) :: ICTXT,NPROW,NPCOL

end subroutine SL_INIT
  
! ==================================================
!          Return info about processor grid
! ==================================================
! Namely MYROW = 0 and MYCOL = 0

subroutine BLACS_GRIDINFO( ICTXT, NPROW, NPCOL, MYROW, MYCOL )
  integer,intent(in)  ::  ICTXT,NPROW,NPCOL
  integer,intent(out) ::  MYROW, MYCOL

   MYROW = 0
   MYCOL = 0
 end subroutine BLACS_GRIDINFO

! ==================================================
!          Finish up
! ==================================================
subroutine BLACS_GRIDEXIT( ICTXT )
  integer,intent(in) :: ICTXT
end subroutine BLACS_GRIDEXIT

! ==================================================
!          Stop 
! ==================================================
subroutine BLACS_EXIT( CODE )
  integer, intent(in) :: code
end subroutine BLACS_EXIT
