FUNCTION rerfunc(x)

! Calculate the error function

! Taken from Abramowitz and Stegun (paperback issue)
! p. 299 section 7.1.28, Dover Books 1965
! NB A&S define erf(x) NOT erfc(x)
! NB erf(-x) = -erf(x), hence the sign function
  
IMPLICIT NONE
DOUBLE PRECISION, INTENT(IN) :: x
DOUBLE PRECISION :: rerfunc,xe

xe=dabs(x)
rerfunc=sign((1.0d0-(1.0d0/((1.0d0+xe*(0.0705230745d0+ &
xe*(0.0422820123d0+xe*(0.0092705272d0+ &
xe*(0.0001520143d0+xe*(0.0002765672d0+ &
xe*0.0000430638d0))))))**16.0d0))),x)

return
end FUNCTION
