! ************************************************************************
!                          readbasisfns
!                        12 December 2008
!                          Stewart Reed
!
!  A subroutine to read in basis fns from a file.
!
!  File format
!       line 1: comment
!       subsequent lines q,p pairs
!
!  Arguments
!     inputs:
!       ndf            - number of degrees of freedom
!       nbf            - number of basis fns per degree of freedom
!       filenames(ndf) - filenames for each degree of freedom.
!                        ignore if equal to ''
!     outputs:
!        q(ndf,nbf)    - positions
!        p(ndf,nbf)    - momenta
! ************************************************************************
subroutine readbasisfns(ndf,nbf,filenames,q,p,cswavefnfile,CDfile,nbasisfns)
  ! ---- interface ----
  integer,intent(in) :: ndf ! number of degrees of freedom
  integer,intent(in) :: nbf ! number of pairs to read
  character(len=*),dimension(ndf) :: filenames ! names of files
  real(kind=8),dimension(ndf,nbf) :: q,p
  integer,dimension(ndf) :: cswavefnfile
  complex(kind=8),dimension(ndf,ndf) :: CDfile
  integer,dimension(ndf)::nbasisfns
end subroutine readbasisfns
