! ************************************************************************
!                        createrandomlists
!                        12 December 2008
!                          Stewart Reed
!
!  This routing is essentially the same as used in the recombine basis
!  program except it is generalised to create a random orders for several 
!  sets of data.
!  
!   inputs n             - number of items to reorder
!          ndf           - number of degrees of freedom each of which 
!                          have n items
!          toorder(ndf)  - integer array saying which degrees of freedom 
!                          should be reordered
!   outputs order(ndf,n) - reordered lists. Those degrees of freedom 
!                          which are not reordered with contain the 
!                          sequential order starting at 1.
!                          i.e. 
!                          order(df,item) = rand (1,n) if toorder(ndf) > 0
!                                         = item if toorder(ndf) = 0
! ************************************************************************
subroutine createrandomlists(ndf,n,toorder,order)
  integer,intent(in) :: ndf,n
  integer,intent(in),dimension(ndf) :: toorder
  integer,dimension(n,ndf),intent(out) :: order
end subroutine createrandomlists
