!!$ ========================================================================
!!$  Module: system
!!$  Date: 20th April 2009
!!$  Author: SKR
!!$
!!$  A simple module to house various system parameters that do not fit
!!$  elsewhere or which have a more global appeal.
!!$ ========================================================================
module system
  
  integer,parameter :: fug = 99
  integer,parameter :: famp = 10
  integer,parameter :: fham = 11
  integer,parameter :: fopt = 12

  real(kind=8) :: eu = 0.40332405d0
  character(len=100) :: energyunits="KJ/mol"

  ! Variables about and that control the system
  integer :: nbasis
  integer :: ndf
  integer :: nbromines
  integer :: nneons ! Number of neon atoms
  real(kind=8) :: gammaBr,gammaNe ! gammas
  real(kind=8) :: massBr, massNe

 real(kind=8) :: rcut,rcut2

 ! Settings for histograms
 real(kind=8) :: histmin,histmax
 real(kind=8) :: brnehistmin,brnehistmax
 integer :: nbins,brnenbins
 logical :: timedep

 ! For quantising BrBr energy
 logical :: quantise
 integer :: vmin,vmax
 ! For wave fn projection
  integer :: fproject=15
  real(kind=8) :: dx,xmax,xmin

  real(kind=8) :: tmin, tmax ! Time interval to record energies over. 

  ! File names
  integer :: nfiles ! Number of amplitude files
  character(len=100),dimension(:),allocatable :: ampfiles ! Names of amplitudes files
  character(len=100) :: inputfile ! Name of input file to read options from
  character(len=100) :: filesuffix ! append to files that are written out.
  character(len=200) :: outfile  ! Name of files being written out. 
  
end module system
